import React, { PureComponent, useState, useEffect } from 'react'
import { Modal, Row, Col, Table, Pagination, Button, Form, Input,message } from 'antd'
import { FormattedMessage } from 'umi-plugin-react/locale';
import router from 'umi/router';
import AuthButton from '@/components/AuthButton';

// import Style from './style.less'
// import HotBlock from '../HotBlock'
import apis from '../../../../services/apis';
import request from '../../../../utils/request';

const BatchDel = props => {

    function sampleList(record) {
        router.push({
          pathname: '/h5SampleManager/h5Sample/list',
        })
    }

  return (
    <>
      <Modal footer={null} title="新增需求单" visible={props.visible} onCancel={props.onCancel} width={600}>
        <div style={{textAlign:'center', marginBottom:'15px'}}>
            <span style={{fontSize:'15px'}}>请到H5样例中筛选并查看详情后从详情提交需求单</span><br/>
        </div>
        <Form >
          <Form.Item wrapperCol={{ span: 15, offset: 8 }}>
            <Button type="primary" onClick={() => sampleList()}>
              查看全部样例
            </Button>
            <Button onClick={props.onCancel} style={{marginLeft:'20px'}}>
              取消
            </Button>
          </Form.Item>
        </Form>
        
        
      </Modal>
    </>
  );
}

const WrappedBase = Form.create({ name: 'BatchDel' })(BatchDel);

export default WrappedBase